diff --git a/build-compare.changes b/build-compare.changes
index 01f454d..88e95e0 100644
--- a/build-compare.changes
+++ b/build-compare.changes
@@ -1,3 +1,13 @@
+-------------------------------------------------------------------
+Fri Aug 27 08:59:22 UTC 2010 - aj@suse.de
+
+- Handle png files with timestamp if convert is installed.
+
+-------------------------------------------------------------------
+Fri Aug 27 06:50:13 UTC 2010 - aj@suse.de
+
+- Handle one more doxygen variation.
+
-------------------------------------------------------------------
Sun May 23 12:19:56 UTC 2010 - aj@suse.de
diff --git a/build-compare.spec b/build-compare.spec
index 5d6a421..93ea105 100644
--- a/build-compare.spec
+++ b/build-compare.spec
@@ -24,7 +24,7 @@ Group: Development/Tools/Building
AutoReqProv: on
Summary: Build Result Compare Script
Version: 2009.10.14
-Release: 14
+Release: 19
Source: same-build-result.sh
Source1: rpm-check.sh
Source2: COPYING
diff --git a/rpm-check.sh b/rpm-check.sh
index b80f9aa..48306ed 100644
--- a/rpm-check.sh
+++ b/rpm-check.sh
@@ -327,6 +327,21 @@ check_single_file()
check_single_file ${file/.gz/}
return $?
;;
+ *png)
+ # Try to remove timestamps, only if convert from ImageMagick is installed
+ if [[ $(type -p convert) ]]; then
+ convert old/$file +set date:create +set date:modify old/${file/.png/_n.png}
+ convert old/$file +set date:create +set date:modify new/${file/.png/_n.png}
+ if ! cmp -s old/${file/.png/_n.png} new/${file/.png/_n.png}; then
+ echo "$file differs ($ftype)"
+ hexdump -C old/${file/.png/_n.png} > $file1
+ hexdump -C new/${file/.png/_n.png} > $file2
+ diff -u $file1 $file2 | head -n 20
+ return 1
+ fi
+ return 0
+ fi
+ ;;
/usr/share/locale/*/LC_MESSAGES/*.mo|/usr/share/locale-bundle/*/LC_MESSAGES/*.mo)
for f in old/$file new/$file; do
sed -i -e "s,POT-Creation-Date: ....-..-.. ..:..+....,POT-Creation-Date: 1970-01-01 00:00+0000," $f
@@ -339,6 +354,8 @@ check_single_file()
sed -i -e 's|^ *This document was generated by Autobuild on .*, 20.. using texi2html .\....$| This document was generated by Autobuild on August 7, 2009 using texi2html 1.82.|' $f
# doxygen docu, e.g. in libssh and log4c
sed -i -e 's|Generated on ... ... [0-9]* [0-9]*:[0-9][0-9]:[0-9][0-9] 20[0-9][0-9] for |Generated on Mon May 10 20:45:00 2010 for |' $f
+ # Generated on Sat Aug 14 2010 16:49:48 for libssh
+ sed -i -e 's|Generated on ... ... [0-9]* 20[0-9][0-9] [0-9]*:[0-9][0-9]:[0-9][0-9] for |Generated on Mon May 10 20:45:00 2010 for |' $f
done
;;
/usr/share/javadoc/*.html |\